/*
 * Copyright (c) 2014, 2015 Eike Stepper (Loehne, Germany) and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v2.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v20.html
 *
 * Contributors:
 *    Eike Stepper - initial API and implementation
 */
package org.eclipse.oomph.setup;

/**
 * @author Eike Stepper
 */
public final class EAnnotationConstants
{
  public static final String ANNOTATION_NO_EXPAND = "http://www.eclipse.org/oomph/setup/NoExpand"; //$NON-NLS-1$

  public static final String ANNOTATION_REDIRECT = "http://www.eclipse.org/oomph/setup/Redirect"; //$NON-NLS-1$

  public static final String ANNOTATION_VALID_TRIGGERS = "http://www.eclipse.org/oomph/setup/ValidTriggers"; //$NON-NLS-1$

  public static final String KEY_TRIGGERS = "triggers"; //$NON-NLS-1$

  public static final String ANNOTATION_ENABLEMENT = "http://www.eclipse.org/oomph/setup/Enablement"; //$NON-NLS-1$

  public static final String KEY_VARIABLE_NAME = "variableName"; //$NON-NLS-1$

  public static final String KEY_REPOSITORY = "repository"; //$NON-NLS-1$

  public static final String KEY_INSTALLABLE_UNITS = "installableUnits"; //$NON-NLS-1$

  public static final String KEY_RELEASE_TRAIN_ALTERNATE = "releaseTrainAlternate"; //$NON-NLS-1$

  public static final String ANNOTATION_VARIABLE = "http://www.eclipse.org/oomph/setup/Variable"; //$NON-NLS-1$

  public static final String KEY_EXPLICIT_TYPE = "explicitType"; //$NON-NLS-1$

  public static final String KEY_EXPLICIT_LABEL = "explicitLabel"; //$NON-NLS-1$

  public static final String KEY_EXPLICIT_DESCRIPTION = "explicitDescription"; //$NON-NLS-1$

  public static final String ANNOTATION_RULE_VARIABLE = "http://www.eclipse.org/oomph/setup/RuleVariable"; //$NON-NLS-1$

  public static final String KEY_FILTER = "filter"; //$NON-NLS-1$

  public static final String KEY_TYPE = "type"; //$NON-NLS-1$

  public static final String KEY_NAME = "name"; //$NON-NLS-1$

  public static final String KEY_LABEL = "label"; //$NON-NLS-1$

  public static final String KEY_DESCRIPTION = "description"; //$NON-NLS-1$

  public static final String KEY_DEFAULT_VALUE = "defaultValue"; //$NON-NLS-1$

  public static final String KEY_VALUE = "value"; //$NON-NLS-1$

  public static final String KEY_STORAGE_URI = "storageURI"; //$NON-NLS-1$

  public static final String NESTED_ANNOTATION_CHOICE = "Choice"; //$NON-NLS-1$

  private EAnnotationConstants()
  {
  }
}
